varying vec3 normal; 
varying vec3 pos;
varying float y;

void main()
{
	normal = gl_NormalMatrix * gl_Normal;
	pos = (/*gl_ModelViewMatrix * */gl_Vertex).xyz;
	gl_Position = ftransform();
	y = (gl_ModelViewMatrix * gl_Vertex).y;
} 
